metrobpm
Prev | Orchestra Opcodes and Operators | Next

## metrobpm

metrobpm — Trigger Metronome with optional gate

## Description

Generate a metronomic signal to be used in any circumstance an isochronous trigger is needed.

## Syntax

    ktrig  metrobpm  kfreq [, initphase] [, kgate]

## Initialization

initphase - initial phase value (in the 0 to 1 range)

## Performance

ktrig - output trigger signal

kfreq - frequency of trigger bangs in beats per minute

kgate - proportion of the cycle that the trigger held at one

metrobpm is a simple opcode that outputs a sequence of isochronous bangs with optional holdin (that is 1 values,) each 60/kfreq seconds.

| Note
metrobpm will produce a trigger signal of 1 when its phase is exactly 0 or 1. If you want to skip the initial trigger, use a very small value like 0.00000001.

## See also

Sensing and Control: Tempo and Sequencing

## Credits

Written by John ffitch

New in Csound 6.17

Prev | Up | Next
metro2 | Home | mfb